<script>
import EDITLINKMOADL from "@/components/modal/video/MV-link";
import {
    BEmbed
} from "bootstrap-vue";
export default {
    props: {
        path: {
            type: String,
            default: "edit",
        },
        item: {
            type: [Array, Object],
            default: () => [],
        },
    },
    data() {
        return {};
    },
    render(h) {
        let res = h(
            "div", {
                attrs: {
                    id: "vedio",
                },
                style: {
                    height: "auto",
                },
            },
            [
                h(BEmbed, {
                    attrs: {
                        allowfullscreen: true,
                        src: this.regexURL(this.item.content.url),
                    },
                    props: {
                        type: "iframe",
                        aspect: "16by9",
                    },
                }),
                h(EDITLINKMOADL, {
                    props: {
                        mode: "gallery",
                        index: this.item.id,
                        default_url: this.item.content.url,
                    },
                }),
            ]
        );

        return res;
    },
    components: {
        EDITLINKMOADL,
    },
    methods: {
        regexURL(URL) {
            const regex = /(?<=src=").*?(?=[\?"])/gm;
            const str = URL;
            let m;

            while ((m = regex.exec(str)) !== null) {
                if (m.index === regex.lastIndex) {
                    regex.lastIndex++;
                }

                return m[0];
            }
        },
    },
    mounted() {},
};
</script>

<style lang="scss">
#vedio {
    .yt {
        width: 100%;
        height: 509px;
    }

    .vjs-big-play-button {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }
}
</style>
